Od rána máme desítky telefonátů nešťastných majitelů webových stránek, které přestaly fungovat, protože webhostingová společnost Active24 převedla weby na vyšší PHP. Některé weby tak dnes vypadají takto:

 

Na úvod je třeba říct, že to společnost Active24 udělala správně a samozřejmě se ráno v Active24 neprobudili a neřekli si “dneska by to šlo” a nepřepli PHP jen tak z legrace.

Nejdříve své klienty informovali e-mailem pár týdnů zpět a dali jim prostor, aby si zvolili, na kterou verzi PHP případně přejdou sami.

Týká se to pouze webů, které jsou na hodně starých verzích, nejčastěji 5.5.38. Ten kdo přešel sám, většinou narazil na minimální problémy, nešel rovou na 7.1.30, ale třeba na nižší, případně upravil web a jede se dál… Ale… Ten, kdo to neudělal se dnes probudil a zjistil, že je bez webu nebo s poškozeným webem.

Co s tím? Buď nám napište na poradna@eximia.cz, kde uveďte doménu webu, případně zašlete rovnou přístup do Active24 a my se na to podíváme. Ve většině případů stačí snížit PHP a jede se dál – zatím. Dokud to bezpečnost povolí. Bude-li třeba udělat na webu něco víc, naceníme Vám práce a domluvíme se na postupu.

Nebo se přihlašte do Active24, mrkněte se do nastavení serveru a snižte na nejnižší PHP, které jde. Pokud máte na webu varování, lze jej obejít vložením řádku “php_flag display_errors off” do souboru .htaccess na hostingu.

Funguje to? Super! Nefunguje? Pište. 🙂

 

Rolovat nahoru